/*
 *  Copyright (C) 2000  Henk de Groot - PE1DNN
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *  Please note that the GPL allows you to use the driver, NOT the radio.
 *  In order to use the radio, you need a license from the communications
 *  authority of your country.
 */

#include <ctype.h>
#include <stdio.h>
#include "digicons.h"
#include "linux.h"

/* global data */
short directvideo;

/* Case insenstitive string compare.  */
int  stricmp(const char *s1, const char *s2)
{
    while(*s1 != '\0')
    {
        if(*s2 == '\0')
        {
            /* different in lenghth, not equal */
            return 1;
        }

        if(tolower(*s1) != tolower(*s2))
        {
            /* not the same, quit */
            return 1;
        }

        /* next character */
        s1++;
        s2++;
    }

    if(*s2 != '\0')
    {
        /* different in length, not equal */
        return 1;
    }

    /* equal */
    return 0;
}

char *itoa(int value, char *storage, int radix)
{
    snprintf(storage, MAX_ITOA_LENGTH, "%d", value);
    return storage;
}
